Bug 171765 - linux-2.6.13-key-reiserfs.patch is incomplete
Summary: linux-2.6.13-key-reiserfs.patch is incomplete
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Howells
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 168429 175195
TreeView+ depends on / blocked
 
Reported: 2005-10-26 01:51 UTC by Randy Zagar
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 20:33:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Convert missed struct key types to struct reiserfs_key (1.07 KB, patch)
2005-11-17 14:31 UTC, David Howells
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Randy Zagar 2005-10-26 01:51:22 UTC
Description of problem:

The Red Hat patch "linux-2.6.13-key-reiserfs.patch" is incomplete.

This patch changes the prototype for get_rkey() near line# 1885 in
linux-2.6.9/include/linux/reiserfs_fs.h...

But fails to change the function definition for get_rkey() on line# 343 in
linux-2.6.9/fs/reiserfs/stree.c

Version-Release number of selected component (if applicable):

kernel-2.6.9-22.EL

How reproducible:

Always

Steps to Reproduce:
1. rpm -i kernel-2.6.9-22.EL.src.rpm
2. rpmbuild -bp /usr/src/redhat/SPECS/kernel-2.6.spec
3. cd /usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9
4. grep "get_rkey " include/linux/reiserfs_fs.h \
                    fs/reiserfs/stree.c
  
Actual results:
include/linux/reiserfs_fs.h:const struct key * get_rkey ...
fs/reiserfs/stree.c:inline  const struct  reiserfs_key * get_rkey ...
...

Expected results:
include/linux/reiserfs_fs.h:const struct reiserfs_key * get_rkey ...
fs/reiserfs/stree.c:inline  const struct  reiserfs_key * get_rkey ...
...

Additional info:

Comment 2 David Howells 2005-11-17 14:31:47 UTC
Created attachment 121190 [details]
Convert missed struct key types to struct reiserfs_key

This patch should do the trick.

Comment 3 Randy Zagar 2005-11-17 22:39:19 UTC
Will this make it into Update 3 ?

Comment 10 Red Hat Bugzilla 2006-03-07 20:33:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.